al_get_path_component(3)

NAME

al_get_path_component - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const char *al_get_path_component(const ALLEGRO_PATH *path, int i)

DESCRIPTION

Return the i'th directory component of a path, counting from zero. If the index is negative then count from the right, i.e. -1 refers to the last path component. It is an error to pass an index which is out of bounds.

SEE ALSO

al_get_path_num_components(3), al_get_path_tail(3)